
CREATE DATABASE tanfolyam DEFAULT CHARACTER SET utf8 COLLATE utf8_hungarian_ci

CREATE TABLE `tanfolyam`.`tanulok` ( `id` INT NOT NULL AUTO_INCREMENT ,  `nev` VARCHAR(100) NOT NULL ,  `telefonszam` VARCHAR(20) NULL ,  `szuletesiido` DATE NOT NULL ,  `email` VARCHAR(100) NOT NULL ,    PRIMARY KEY  (`id`),    INDEX  (`email`)) ENGINE = InnoDB;

CREATE TABLE `tanfolyam`.`tantargyak` ( `id` INT NOT NULL AUTO_INCREMENT ,  `megnevezes` VARCHAR(100) NOT NULL ,  `tanar` VARCHAR(100) NOT NULL ,    PRIMARY KEY  (`id`),    INDEX  (`megnevezes`)) ENGINE = InnoDB;

CREATE TABLE `tanfolyam`.`ertekelesek` ( `id` INT NOT NULL AUTO_INCREMENT ,  `tanuloid` INT NOT NULL ,  `tantargyid` INT NOT NULL ,  `jegy` INT NOT NULL ,    PRIMARY KEY  (`id`),    INDEX  (`tanuloid`, `tantargyid`)) ENGINE = InnoDB;

INSERT INTO `tantargyak` (`id`, `megnevezes`, `tanar`) VALUES (NULL, 'Angol nyelv', 'Nemes Angla'), (NULL, 'Informatika', 'Kis Ede');

INSERT INTO `tanulok` (`id`, `nev`, `telefonszam`, `szuletesiido`, `email`) VALUES (NULL, 'Kovcs Elek', NULL, '1991-02-28', 'elek0228@email.com'), (NULL, 'Nagy Bla', '+36-55-335223', '1999-12-31', 'nagy.bela@drotposta.com'), (NULL, 'Tth Emil', '+36-55-475319', '1987-06-16', 'emil@e-level.com');


INSERT INTO `ertekelesek` (`id`, `tanuloid`, `tantargyid`, `jegy`) VALUES (NULL, '1', '1', '3'), (NULL, '1', '2', '5'), (NULL, '2', '2', '5'), (NULL, '3', '2', '5'), (NULL, '1', '1', '5');




SELECT tantargyak.megnevezes,ertekelesek.jegy 
FROM tantargyak INNER JOIN ertekelesek ON tantargyak.id=ertekelesek.tantargyid 
INNER JOIN tanulok ON tanulok.id=ertekelesek.tanuloid 
WHERE tanulok.nev="Kovcs Elek"

SELECT tantargyak.megnevezes,AVG(ertekelesek.jegy) AS tlag 
FROM tantargyak INNER JOIN ertekelesek ON tantargyak.id=ertekelesek.tantargyid 
GROUP BY tantargyak.megnevezes


SELECT tanulok.nev FROM tanulok WHERE tanulok.id NOT IN(SELECT ertekelesek.tanuloid 
FROM ertekelesek INNER JOIN tantargyak ON tantargyak.id=ertekelesek.tantargyid 
WHERE tantargyak.megnevezes="Angol nyelv")


SELECT tanulok.nev, (year(CURRENT_DATE)-year(tanulok.szuletesiido)) AS letkor FROM tanulok

SELECT AVG(year(CURRENT_DATE)-year(tanulok.szuletesiido)) AS tlagletkor FROM tanulok












